require 'sinatra/base'

class FakeRandomUser < Sinatra::Base
  get '/0.7/' do
    if params[:gender] && params[:gender].eql?('male')
      json_response 200, 'male.json'
    else
      json_response 200, 'female.json'
    end
  end

  private

  def json_response(response_code, file_name)
    content_type :json
    status response_code
    File.open(File.dirname(__FILE__) + '/fixtures/' + file_name, 'rb').read
  end
end
